Skip to main content
GET
/
product
/
productCounters
Get product counters
curl --request GET \
  --url https://eu-data.kameleoon.io/product/productCounters \
  --header 'user-agent: <user-agent>'

Headers

user-agent
string
default:kameleoon-docs
required

Not always required. Kameleoon rejects an incoming request if the source is a bot or spider, based on IAB/ABC user-agent filtering rules. Kameleoon uses a single-pass method. You don't need to take specific action when sending requests from a web browser using a standard library (XHR). However, in other cases, set a custom value for the User-Agent request header to overwrite the default value the library sets.

Query Parameters

siteCode
string
required

The Kameleoon project ID.

eans
string
required

A JSON array of product IDs or EANs. For example, ["ean1","ean2"]. Limit the array to 100 products. JSON array of <product Id / EAN: string>.

timeBegin
integer<int64>

The date to begin querying from (UNIX millisecond timestamp format). This date is inclusive.

timeEnd
integer<int64>

The date to query to (UNIX millisecond timestamp format). This date is exclusive.

prettyPrint
boolean
default:false

Set to true for a "pretty" printed response.

Response

Successful operation, products counters are rendered, of type JSON object {"<product Id / EAN>": <product counters>}, with <product counters> of type JSON object {"v": <number of views = integer⁄int32>, "atcq": <add to cart quantities = integer⁄int32>, "bq": <transaction quantities = integer⁄int32>}